## cascading.util
Class ShutdownUtil

    java.lang.Object
      cascading.util.ShutdownUtil

    public class ShutdownUtil

extends Object

ShutdownUtil is a private helper class for registering dependent shutdown hooks to maintain internal state information reliably when a jvm is shutting down.

This api is not intended for public use.

Nested Class Summary
`static class` `ShutdownUtil.Hook`

Constructor Summary
`ShutdownUtil()`

Method Summary
`static void` `addHook(ShutdownUtil.Hook hook)`
`static void` `deregisterShutdownHook()`
`static void` `registerShutdownHook()`
`static boolean` `removeHook(ShutdownUtil.Hook hook)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShutdownUtil

    public ShutdownUtil()

Method Detail

### addHook

    public static void addHook(ShutdownUtil.Hook hook)

### removeHook

    public static boolean removeHook(ShutdownUtil.Hook hook)

### registerShutdownHook

    public static void registerShutdownHook()

### deregisterShutdownHook

    public static void deregisterShutdownHook()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.